package digital.laboratory.platform.inspection.dto;

import lombok.Data;

@Data
public class NPSCaseTestSampleData {
    private String sampleNo;
    private String targetConcentration;//目标物浓度
    private String targetRtTime;//目标物保留时间
    private String stdRtTime;//标准物保留时间
    private String stdConcentration;//标准物浓度
    private String rtTimeError;//保留时间相对偏差
    private String rtTimeWithinError;//保留时间是否在误差范围内
    private String id;
    private String name;
    private String type;
    private String mass;//mz  质荷比
    private String retTime;//保留时间
    private String startTime;
    private String endTime;
    private String area;//峰面积
    private String stdRetTime;
    private String sn;
    private String abundanceRatio;//丰度比，如果是基峰，我们设置为1，丰度比的公式为自己的峰面积/基峰峰面积
    private String abundanceRatio_std;// 标准物质的丰度比
    private String abundanceRatioError;//丰度比偏差，如果是基峰不需要比，公式是 (自己的丰度比-标准品的MZ对应丰度比)/标准品的MZ对应丰度比
    private String errorRange;//误差范围
    private String withinError;//丰度比偏差是否在误差范围内
    private int isBasePeak;//是否是基峰，0 不是基峰  1 是基峰

    private String compoundName;//化合物名称
    private int isDetected;//是否检出 0：未检出 1：检出
}

