package digital.laboratory.platform.inspection.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 各行政区主要毒品总消费量表 数据DTO 数据传输对象
 */
@Data
@ApiModel(value = "RegionalDrugConsumptionDTO", description = "各行政区主要毒品总消费量表 数据DTO")
public class RegionalDrugConsumptionDTO {

    @ApiModelProperty("行政区域")
    private String regional;

    @ApiModelProperty("人均消耗量Heroin 海洛因")
    private String pccHeroin;//人均消耗量Heroin

    @ApiModelProperty("人均消耗量MA 冰毒")
    private String pccMa;//人均消耗量MA

    @ApiModelProperty("人均消耗量K 氯胺酮")
    private String pccK;//人均消耗量K

    @ApiModelProperty("人均消耗量MDMA")
    private String pccMdma;//人均消耗量MDMA

    @ApiModelProperty("人均消耗量COC 可卡因")
    private String pccCoc;//人均消耗量COC

    @ApiModelProperty("人均消耗量Fen 芬太尼")
    private String pccFen;//人均消耗量Fen

    @ApiModelProperty("人均消耗量 - 综合")
    private String pccTotal;//人均消耗量 - 综合

    @ApiModelProperty("总消耗量Heroin 海洛因")
    private String tcHeroin;//总消耗量Heroin

    @ApiModelProperty("总消耗量MA 冰毒")
    private String tcMa;//总消耗量MA

    @ApiModelProperty("总消耗量K 氯胺酮")
    private String tcK;//总消耗量K

    @ApiModelProperty("总消耗量MDMA 摇头丸")
    private String tcMdma;//总消耗量MDMA

    @ApiModelProperty("总消耗量COC 可卡因")
    private String tcCoc;//总消耗量COC

    @ApiModelProperty("总消耗量Fen 芬太尼")
    private String tcFen;//总消耗量Fen

    @ApiModelProperty("总消费量（克/天） 综合")
    private String tcTotal;//总消耗了THC

}
