package digital.laboratory.platform.inspection.dto;

import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 修改导入的实验数据的参数DTO类
 */
@Data
@ApiModel(value = "UpdateEntrustTestDataDTO", description = "修改导入的实验数据的参数DTO类")
public class  UpdateEntrustTestDataDTO {

    @ApiModelProperty("保存的数据类型")
    private String type;

    @ApiModelProperty("修改的具体数据信息")
    private JSONObject param;

    @ApiModelProperty("修改的具体数据信息")
    private String testId;

    @ApiModelProperty("只有该实验第一次保存数据时会接收这个参数，其他情况该参数为空")
    List<UpdateEntrustTestDataDTO> list;

}
