package digital.laboratory.platform.inspection.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/*
 *@title TestRecordInstrument
 *@description
 *@author xy
 *@version 1.0
 *@create 2023/12/19 11:12
 */
@Data
@TableName("b_test_record_instrument")
@ApiModel(value = "实验中用到的仪器设备", description = "实验中用到的仪器设备")
public class TestRecordInstrument extends BaseEntity {
    private String id;
    private String instrumentNumber;//设备编号
    private String instrumentName;//设备名称
    private String instrumentProvider;//厂家名称
    private String instrumentTypeNo;//型号
    private Integer source;//来源，0 代表系统推送，1 代表手动录入


}
