package digital.laboratory.platform.inspection.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.time.LocalDate;

/*
 *@title TestRecordInstrument
 *@description 实验中用到的实验方法
 *@author xy
 *@version 1.0
 *@create 2023/12/19 11:12
 */
@Data
@TableName("b_test_record_Method")
@ApiModel(value = "实验中用到的实验方法", description = "实验中用到的实验方法")
public class TestRecordMethod extends BaseEntity {
    private String id;
    private String methodName;//方法名称
    private String methodDescribe;//方法描述
    private String methodRange;//范围
    private String methodLevel;//方法等级(国际、行标等)
    private String methodFileNumber;//文件编号
    private LocalDate methodApprovalTime;//批准时间
    private LocalDate methodImplementTime;//实施时间
    private Integer source;//来源，0 代表系统推送，1 代表手动录入
    private String previewUrl;//方法Office地址
}
