package digital.laboratory.platform.inspection.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * @author xy
 * @version 1.0
 * @title TestRecordReagent
 * @description 试剂耗材
 * @create 2023/12/20 11:02
 */
@Data
@TableName("b_test_record_reagent_consumables")
@ApiModel(value = "实验中用到的试剂耗材", description = "实验中用到的试剂耗材")
public class TestRecordReagent extends BaseEntity {

    private String id;

    private String drugId; // 标准品的成分，关联的时是毒品清单中的毒品id

    private String  reagentConsumableName;//试剂耗材标准物质名称

    private String  category;// 类别，表示是 试剂 还是 耗材 ，还是标准物质

    private String specifications; //型号规格

    private String purityGrade;//纯度等级，只有试剂有这个属性，当为耗材时为空

    private String number;//标准物质的编号，只有类型是标准物质的时候才设置

    private Integer sortIndex;// 排序

    private Integer source;//数据来源

}
