package digital.laboratory.platform.inspection.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import digital.laboratory.platform.inspection.entity.TestRecordInstrumentCondition;
import digital.laboratory.platform.inspection.vo.TestRecordInstrumentConditionVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TestRecordInstrumentConditionMapper extends BaseMapper<TestRecordInstrumentCondition> {

    IPage<TestRecordInstrumentConditionVo> getTestRecordInstrumentConditionVoMapPage(Page page, @Param(Constants.WRAPPER) LambdaQueryWrapper qw);

    List<TestRecordInstrumentConditionVo> getTestRecordInstrumentConditionVoMapList(@Param(Constants.WRAPPER) LambdaQueryWrapper qw);

    TestRecordInstrumentConditionVo getTestRecordInstrumentConditionVoMapByTestId(@Param(value = "testId") String testId);
}
