package digital.laboratory.platform.inspection.utils.sewagereport;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 柱状+折线
 *
 * @author liuxn
 * @date 2022/10/27
 */
@Setter
@Getter
public class BarLineChartForm extends ChartForm {

    /**
     * X轴数据
     */
    private List<String> xData;
    /**
     * 柱状数据 支持多组
     */
    private List<AxisYVal> yBarData;
    /**
     * 折线数据 支持多组
     */
    private List<AxisYVal> yLineData;

}
