package digital.laboratory.platform.inspection.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "TestRecordSolutionVO", description = "上机步骤中回显检材物列表的VO")
public class ResultConcentrationVO {

    @ApiModelProperty("样本溶液id或者标准溶液id")
    private String id;

    @ApiModelProperty("溶液编号")
    private String number;

    @ApiModelProperty("检验ID")
    private String testId;

    @ApiModelProperty("溶液的结果浓度")
    private String resultConcentration;
}
