package digital.laboratory.platform.inspection.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 生成污水报告或者毛发报告的配置信息
 */
@Data
@ApiModel(value = "ReportConfigDTO", description = "生成污水报告或者毛发报告的配置信息")
public class ReportConfigDTO {

    @ApiModelProperty(value = "字典类型")
    private String dictType;

    @ApiModelProperty(value = "字典名称")
    private String dictLabel;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "区分外层数据和里层的数据， 1 是外层 2 是里层或者为空")
    private String type;

}
