package digital.laboratory.platform.inspection.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import digital.laboratory.platform.inspetion.api.entity.MaterialDto;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/*
 *@title DrugScreen
 *@description
 *@author xy
 *@version 1.0
 *@create 2023/12/8 11:33
 */
@Data
@TableName("b_case_screen")
@ApiModel(value = "案前筛查信息", description = "案前筛查信息")
public class ScreenInfo extends BaseEntity {
    private String id;
    private String caseName;
    private LocalDateTime obtainTime;
    private String businessType;//业务类型
    private Integer source;
    private String distributionSituation; //区分是否已被分配以及分配的数量
    private String originalId;//原筛查ID
    @TableField(exist = false)
    private String businessTypeName = "筛查事件";
    @TableField(exist = false)
    private List<MaterialDto> materialList;

    @TableField(exist = false)
    private Boolean isDistribution;
}
