package digital.laboratory.platform.inspection.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * @author xy
 * @version 1.0
 * @title TestRecordInstrumentCondition 仪器使用条件
 * @description
 * @create 2024/1/11 9:39
 */
@Data
@TableName(value = "b_test_record_use_condition",autoResultMap = true)
@ApiModel(value = "实验中设备仪器条件", description = "实验中设备仪器条件")
public class TestRecordInstrumentCondition extends BaseEntity {
    private String id;
    private String testId;//检验ID
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private String  conditionData;//仪器条件内容(json 格式)
    private Integer businessFlag;//判断是7楼还是六楼的业务

}
