package digital.laboratory.platform.inspection.mapper;
/*
 *@title TestRecordMapper
 *@description
 *@author xy
 *@version 1.0
 *@create 2023/12/19 11:43
 */

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import digital.laboratory.platform.inspetion.api.entity.TestRecord;
import digital.laboratory.platform.inspetion.api.vo.TestRecordVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TestRecordMapper extends BaseMapper<TestRecord> {
    TestRecordVo getTestRecordMapById(@Param(value = "id") String id);

    IPage<TestRecordVo> getTestRecordMapPage(Page page, @Param(Constants.WRAPPER) LambdaQueryWrapper qw);
    List<TestRecordVo> getTestRecordMapList(@Param(Constants.WRAPPER) LambdaQueryWrapper qw);
}
