package digital.laboratory.platform.inspection.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import digital.laboratory.platform.inspection.entity.TestRecordStandardSolution;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TestRecordStandardSolutionMapper extends BaseMapper<TestRecordStandardSolution> {
    IPage<TestRecordStandardSolution> getTestRecordStandardSolutionMapPage(Page page, @Param(value = "testId") String testId);

    List<TestRecordStandardSolution> getTestRecordStandardSolutionMapList(@Param(value = "testId") String testId);
}
